%define name gtaskman
%define version 0.09
%define release 1

Summary: gTaskman - A process viewing and signaling application for X on unix platform
Name:	%{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: gtaskman.desktop
Patch0:  Makefile.linuxkid.patch.bz2
URL: http://www.students.bucknell.edu/gmsaj/gtaskman/
Copyright: GPL
Group: Monitoring
Packager: linuxkid <linux@peanutlinux.org>
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
gtaskman is a graphical process signaling app for Unix and Unix-like systems
running X-Windows. The GUI is based on GTK+ 1.2.x. In time, it may become a
full-featured process manipulation tool.

%prep
%setup
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp gtaskman $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities

make DESTDIR=$RPM_BUILD_ROOT install

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
/*
